Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85652 - TB Conf.py:278:write
Summary: TB Conf.py:278:write
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-network
Version: phoebe
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 85893
TreeView+ depends on / blocked
 
Reported: 2003-03-05 16:13 UTC by Mikael Carneholm
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-26 17:05:53 UTC


Attachments (Terms of Use)
Crash trace as output in Exception occured dialog (deleted)
2003-03-05 16:15 UTC, Mikael Carneholm
no flags Details

Description Mikael Carneholm 2003-03-05 16:13:22 UTC
Description of Problem:
redhat-config-network crashes when trying to activate a profile.

Steps to reproduce the problem:
1. Make sure there are profiles available for switching between (at least Common
+ one more). I.e. if no profiles other than Common exist, create one more
profile (and restart network as required) prior to step 2.
2. Start redhat-config-network
3. In the "Active profile" dropdown list, choose another profile than the one
initially displayed.
4. Click "Activate"
5. Watch warnings like "Cannot deactivate network device eth0_steves_place"
(click Ok)
6. Crash information is showed (Exception occured)

Actual Results:
Dialog with crash information is displayed

Expected Results:
Successful activation of a network profile

How often does this happen?
Always.

Additional Information:
Clicking "Debug" in the Exception occured dialog hangs the application.

Comment 1 Mikael Carneholm 2003-03-05 16:15:24 UTC
Created attachment 90476 [details]
Crash trace as output in Exception occured dialog

Comment 2 Mikael Carneholm 2003-03-06 00:31:19 UTC
Marked it as high priority

Comment 3 Harald Hoyer 2003-03-26 13:25:56 UTC
are you starting it as non-root?

Comment 4 Mikael Carneholm 2003-03-26 16:59:52 UTC
Running as non-root: Yes.

Comment: As you (as root) are able to let other users than root
activate/inactivate various interfaces ("Allow all users to activate/inactivate
this device"), activating a profile that includes such interfaces should also
work, shouldn't it? (It shouldn't crash, at least)

Or should there be an "Allow all users to activate/inactivate this profile"
option for profiles, as well?

Comment 5 Harald Hoyer 2003-03-26 17:05:53 UTC
in the final version it will/should not crash.
BUT, profile switching is not (yet) possible by normal users. So, if your device
is not part of the active profile, you cannot activate it.


Note You need to log in before you can comment on or make changes to this bug.